
QGIS Application - Bug report #12987

Values not updating properly when editing attribute table 

2015-06-18 12:32 AM - Frank Sokolic

Status: Closed

Priority: High

Assignee:

Category: Attribute table

Affected QGIS version:2.8.2 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 21065

Description

This happens when editing shapefile attribute tables:

    1. Open an attribute table

    2. Enable editing

    3. Edit values in the table by typing directly into the cells

    4. The new values appear in the attribute table

    5. Save the edits

    6. Close the table and open it again

    7. The old values reappear in the table

    8. Remove the layer from QGIS and reload the shapefile

    9. The new values now appear in the attribute table

History

#1 - 2015-06-18 01:32 AM - Frank Sokolic

I have also tested the Field Calculator and tried to add polygon centroids using the $x and $y functions. These just generate nulls. However, if I type values

manually into the respective X and Y fields then I get the behaviour described above. The X and Y fields are defined as type real, width 10, precision 6. The

CRS for both the layer and project is set to EPSG 4326 and OTF is off.

#2 - 2015-06-18 01:34 AM - Giovanni Manghi

Frank Sokolic wrote:

I have also tested the Field Calculator and tried to add polygon centroids using the $x and $y functions. These just generate nulls. However, if I type

values manually into the respective X and Y fields then I get the behaviour described above. The X and Y fields are defined as type real, width 10,

precision 6. The CRS for both the layer and project is set to EPSG 4326 and OTF is off.

$x and $y do not work for polygons, only points.

#3 - 2015-06-18 02:14 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from High to Normal

- Target version deleted (Version 2.10)

I cannot confirm here (ubuntu too) on both 2.8.2 and master.
#4 - 2015-06-30 03:44 AM - Pedro Venâncio

Hi,

I confirm this on 2.10 and master, on windows (OSGeo4W 64bits). It happens both with Field Calculator and normal attribute table edit.

Please see the screencast: https://dl.dropboxusercontent.com/u/5772257/qgis/qgis_210_master_attribute_table.avi

I think this could be a blocker.

#5 - 2015-06-30 04:34 AM - Nyall Dawson

Possibly related to commit:cc13c57. That fix only applies to 2.10 though, not 2.8.

#6 - 2015-06-30 05:33 AM - Jürgen Fischer

- Priority changed from Normal to Severe/Regression

#7 - 2015-07-31 08:44 AM - Giovanni Manghi

- Status changed from Feedback to Open

#8 - 2015-09-21 06:32 PM - Giuseppe Sucameli

Unable to reproduce it on Ubuntu 14.04 with current master commit:ce6264065de

#9 - 2015-09-22 12:41 AM - Frank Sokolic

I no longer get this error on Master either, Ubuntu 15.04.

#10 - 2015-10-05 03:37 AM - Jürgen Fischer

- Priority changed from Severe/Regression to High

not a blocker for releases.

#11 - 2015-10-05 08:28 AM - Pedro Venâncio

I also can not reproduce this problem on master anymore (tested on OSGeo4W 32 and 64bits).

#12 - 2015-10-08 03:17 AM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Open to Closed

probably fixed.
